<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Dec 07 20:27:02 CET 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<title>G-Index</title>
<meta name="date" content="2017-12-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">G</a>&nbsp;<a href="index-4.html">I</a>&nbsp;<a href="index-5.html">M</a>&nbsp;<a href="index-6.html">O</a>&nbsp;<a href="index-7.html">P</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">U</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/Item.html#getBorrowedBy--">getBorrowedBy()</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity">Item</a></dt>
<dd>
<div class="block">Getter du nom de l'emprunteur</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/Movie.html#getDirector--">getDirector()</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a></dt>
<dd>
<div class="block">Getter du réalisateur</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/Item.html#getId--">getId()</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity">Item</a></dt>
<dd>
<div class="block">Getter de l'id d'un Item</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/service/ItemService.html#getItem-long-">getItem(long)</a></span> - Method in class org.tpepsi.service.<a href="../org/tpepsi/service/ItemService.html" title="class in org.tpepsi.service">ItemService</a></dt>
<dd>
<div class="block">Récupération d'un Item par son id</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/service/ItemService.html#getItems--">getItems()</a></span> - Method in class org.tpepsi.service.<a href="../org/tpepsi/service/ItemService.html" title="class in org.tpepsi.service">ItemService</a></dt>
<dd>
<div class="block">Liste des Items</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/controllers/MovieController.html#getMovie-long-">getMovie(long)</a></span> - Method in class org.tpepsi.controllers.<a href="../org/tpepsi/controllers/MovieController.html" title="class in org.tpepsi.controllers">MovieController</a></dt>
<dd>
<div class="block">Trouver un film grâce à son id</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/controllers/MovieController.html#getMovies--">getMovies()</a></span> - Method in class org.tpepsi.controllers.<a href="../org/tpepsi/controllers/MovieController.html" title="class in org.tpepsi.controllers">MovieController</a></dt>
<dd>
<div class="block">Listing des films</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/TvShow.html#getNetwork--">getNetwork()</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/TvShow.html" title="class in org.tpepsi.data.entity">TvShow</a></dt>
<dd>
<div class="block">Getter de la chaîne de la série</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/Movie.html#getReleaseYear--">getReleaseYear()</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a></dt>
<dd>
<div class="block">Getter de l'année de sortie</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/TvShow.html#getShowrunner--">getShowrunner()</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/TvShow.html" title="class in org.tpepsi.data.entity">TvShow</a></dt>
<dd>
<div class="block">Getter du créateur de la série</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/Item.html#getTitle--">getTitle()</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity">Item</a></dt>
<dd>
<div class="block">Getter du titre d'un Item</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/controllers/TvShowController.html#getTvShow-long-">getTvShow(long)</a></span> - Method in class org.tpepsi.controllers.<a href="../org/tpepsi/controllers/TvShowController.html" title="class in org.tpepsi.controllers">TvShowController</a></dt>
<dd>
<div class="block">Trouver une série grâce à son id</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/controllers/TvShowController.html#getTvShows--">getTvShows()</a></span> - Method in class org.tpepsi.controllers.<a href="../org/tpepsi/controllers/TvShowController.html" title="class in org.tpepsi.controllers">TvShowController</a></dt>
<dd>
<div class="block">Listing des séries</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/User.html#getUsername--">getUsername()</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/User.html" title="class in org.tpepsi.data.entity">User</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">G</a>&nbsp;<a href="index-4.html">I</a>&nbsp;<a href="index-5.html">M</a>&nbsp;<a href="index-6.html">O</a>&nbsp;<a href="index-7.html">P</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
